// set defaults http://localhost:8000/reports/tiles/2z68/T14QMG/20190127/10/230/569.png
MAPBOX_ACCESS_TOKEN = 'pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw';

// Create layers
var imagelayer;
var mapbox = new ol.layer.Tile({
  source: new ol.source.XYZ({
    url:'https://api.tiles.mapbox.com/v4/mapbox.light/{z}/{x}/{y}.png?access_token='+MAPBOX_ACCESS_TOKEN
  })
});

// create map
var map = new ol.Map({
  target: 'minimap',
  layers: [mapbox],
  view: new ol.View({
    center: ol.proj.fromLonLat([-99.19, 19.61]),
    zoom: 4,
    minZoom:4,
    maxZoom: 14
  })
});

//addLayer
function addImageLayer(labelDate) {
  $.ajax({
    type: 'POST',
    dataType: "json",
    data: {'purchase_id': purchase_id, 'report': zone, 'date': labelDate},
    url: '/reports/tiles/tileinfo',
    success: function (data) {
      map.removeLayer(imagelayer)

      var xyz = new ol.layer.Tile({
        opacity: 0.5,
        source: new ol.source.XYZ({
          projection: 'EPSG:3857',
          url: getURL(purchase_id, zone, labelDate),
          tilePixelRatio: 2,
          minZoom: 9,
          maxZoom: 14
        })
      });

      imagelayer = xyz;
      map.addLayer(xyz);

      var extent = ol.proj.transformExtent(data.boundingBox, 'EPSG:4326', 'EPSG:3857');
      map.getView().fit(extent, {duration: 800})
    }
  });
}


var getURL = function (id, report, date) {
  var url = '/reports/tiles/'+id+'/'

  if (report) {
    url += report+'/'
  }

  return url+date+'/{z}/{x}/{-y}.png'
}
